Package org.apache.storm.trident.windowing.config

# Enum Class WindowConfig.Type

java.lang.Object
java.lang.Enum<WindowConfig.Type>
org.apache.storm.trident.windowing.config.WindowConfig.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowConfig.Type>`, `Constable`

Enclosing interface:
  WindowConfig

public static enum WindowConfig.Type extends Enum<WindowConfig.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SLIDING_COUNT`
  `SLIDING_DURATION`
  `TUMBLING_COUNT`
  `TUMBLING_DURATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WindowConfig.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WindowConfig.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SLIDING_COUNT

    public static final WindowConfig.Type SLIDING_COUNT

  - ### TUMBLING_COUNT

    public static final WindowConfig.Type TUMBLING_COUNT

  - ### SLIDING_DURATION

    public static final WindowConfig.Type SLIDING_DURATION

  - ### TUMBLING_DURATION

    public static final WindowConfig.Type TUMBLING_DURATION

- ## Method Details

  - ### values

    public static WindowConfig.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WindowConfig.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null